#!/usr/bin/perl

use strict;
use warnings;
use XML::Simple;

my %opmlurl = ();
open IN, "<opml.xml" or die "cannot read 'opml.xml'";
while (<IN>) {
  /htmlUrl="([^"]+)"/ or next;
  $opmlurl{$1} = 1;
}
close IN;

# my $xml = join '', <IN>;
# $xml =~ s/text="[^"]+"/text="removed"/gs;   # ignore broken encoding
# $xml =~ s/title="[^"]+"/title="removed"/gs;   # ignore broken encoding
# close IN;
# 
# my $list = XMLin($xml);
# use Data::Dumper; warn "JMD ".Dumper($list);

my %want = ();
while (<>) {
  chop;
  $_ = fixup_url($_);
  $want{$_} = 1;
}

# foreach my $opmlurl (keys %{$list->{body}})
foreach my $u (keys %opmlurl) {
  $u = fixup_url($u);
  $want{$u} = 1;
}

foreach my $u (sort keys %want) {
  next unless ($u =~ m,^http:\/\/,);
  print "$u\n";
}
exit;

sub fixup_url {
  my $u = shift;
  $u =~ s/index\.(?:php|htm|html)$//;
  $u =~ s/\/$//;
  $u;
}
