#!/usr/bin/perl

use strict;
use warnings;

my $cutoff = time - (24*60*60*14);

my %age = ();
my $c_fresh = 0;
my $c_stale = 0;

while (<>) {
  if (s/^url='(.*?)'//) {
    my $url = $1;

    my %p = ();
    foreach my $pair (split ' ', $_) {
      $pair =~ /^(.*?)=(.*)$/ or next;
      $p{$1} = $2;
    }

    $age{$url} = $p{last};
    next;
  }
  else {
    chop;
    my $url = $_;
    if ($age{$url} && $age{$url} > $cutoff) {
      $c_fresh++;
      next;
    } else {
      $c_stale++;
      print "$url\n";
    }
  }
}

warn "fresh: $c_fresh   stale: $c_stale\n";

